Skip to content

Get User List

Permissions

The Identity Management API is authorized at the application level. Before calling the API, you need to set API permissions for different applications. For details, please refer to API Permissions.

Permission CodeDescription
user_allRead and write permissions for user management APIs
user_readRead permissions for user management APIs
allRead and write permissions for all APIs
readRead permissions for all read APIs

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example

None

Request Parameters

Parameter NameNameRequiredTypeDescription
org_idOrganization IDNoStringWhen empty, all users are queried
updated_at_greaterUpdated AfterNoStringFilters by update time, only returns records updated after this time, format is yyyy-MM-dd HH:mm:ss
offsetPage NumberYesIntStarting from page 0
limitPage SizeYesIntPage size between 10 and 100

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "total": 1,
    "users": [
        {
            "user_id": "20220825141325371-4D03-81EF80243",
            "org_id": "20210529172248496-D329-5748DE918",
            "user_name": "cq04130007",
            "name": "cq04130007",
            "mobile": "+86-15204130007",
            "email": "15204130007@example.com",
            "first_name": "F",
            "middle_name": "M",
            "last_name": "L",
            "employee_id": "041300071",
            "external_id": "041300071",
            "attr_city": "Wuhan",
            "attr_nick_name": "cq04130007",
            "attr_area": "CN",
            "attr_gender": "male",
            "attr_work_place": "Wuhan",
            "attr_identity_type": "id_card",
            "attr_identity_number": "420100199911111111",
            "attr_manager_id": "20210601223953060-2AEC-D22770B77",
            "attr_birthday": "1993-08-25 00:00:00.000",
            "attr_user_type": "20211124152258971-9F54-3B43283CC",
            "attr_hire_date": "2022-08-01 00:00:00.000",
            "pwd_must_modify": false,
            "disabled": false,
            "locked": false,
            "grade": 1,
            "created_at": "2022-08-25 14:13:25.372",
            "updated_at": "2022-08-25 14:37:24.610",
            "last_login_ip": "120.46.143.105",
            "last_login_at": "2024-06-06 15:14:28.000",
            "user_org_relation_list": [
                {
                    "org_id": "20220221173529886-B8BB-9F404BCDE",
                    "relation_type": 0
                },
                {
                    "org_id": "20210529172248496-D329-5748DE918",
                    "relation_type": 1
                }
            ],
            "extension": {}
        }
    ]
}

Error Example

HTTP/1.1 400 Bad Request

json
{
  "error_msg": "Organization does not exist",
  "error_code": "ORG.0001"
}

Response Parameters

Parameter NameNameTypeDescription
totalTotalInt
usersUser CollectionList
--user_idUser IDString
--org_idOrganization IDString
--user_nameUsernameString
--nameNameString
--mobileMobile NumberString
--emailEmailString
--first_nameFirst NameString
--middle_nameMiddle NameString
--last_nameLast NameString
--employee_idEmployee IDString
--external_idExternal System IDString
--attr_genderGenderString
--attr_birthdayBirthdayString
--attr_nick_nameNicknameString
--attr_identity_typeIdentity TypeString
--attr_identity_numberID NumberString
--attr_areaCountry or RegionString
--attr_cityCityString
--attr_manager_idDirect ManagerStringSuperior user ID
--attr_user_typePerson TypeStringType ID
--attr_hire_dateHire DateString
--attr_work_placeWork LocationString
--pwd_must_modifyForce Password ChangeBoolean
--created_atUser Creation TimeString
--updated_atUser Modification TimeString
--last_login_ipLast Login IPString
--last_login_atLast Login TimeString
--disabledDisabledString
--gradeTrust LevelInt
--lockedLockedBoolean
--extensionExtension AttributesJSONObject
--user_org_relation_listUser Organization Relationship CollectionList
----job_idRelationship IDString
----org_idOrganization IDString
----relation_typeRelationship Typeint1 for belonging, 0 for affiliation
--jobsUser Job CollectionListReturned when the tenant has job management enabled
----job_idJob IDString
----org_idOrganization IDString
----position_idPosition IDString
----title_idJob Title IDString
----relation_typeJob TypeString1 for primary job, 0 for part-time job

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400OAP.PAGE.0003分页页码不符合校验规则The pagination page number does not meet the verification rulesPlease check whether the page number in the request parameters is correct
400OAP.PAGE.0004每页数量不符合校验规则The number of pages does not meet the verification rulesPlease check whether the page size in the request parameters is correct
400OAP.PARAM.0004参数[{0}]不符合校验规则Parameter [{0}] does not comply with validation rulesPlease check whether the request parameters comply with the validation rules
400ORG.0001组织不存在Organization does not existPlease check whether the corresponding organization exists

BambooCloud IDaaS Open Platform